Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.jetty
Class JettyPluginServer

    java.lang.Object
      org.gradle.api.plugins.jetty.JettyPluginServer

    class JettyPluginServer
    extends java.lang.Object

Jetty6PluginServer

Jetty6 version of a wrapper for the Server class.

Field Summary
`static int` | `DEFAULT_MAX_IDLE_TIME`
`HandlerCollection` | `handlers`

Constructor Summary
`JettyPluginServer()`

Method Summary
`void` | `addWebApplication(WebAppContext webapp)`
`void` | `configureHandlers()` Set up the handler structure to receive a webapp.
`java.lang.Object` | `createDefaultConnector(int port)`
`java.lang.Object[]` | `getConnectors()`
`java.lang.Object` | `getProxiedObject()`
`java.lang.Object` | `getRequestLog()`
`java.lang.Object[]` | `getUserRealms()`
`void` | `join()`
`void` | `setConnectors(java.lang.Object[] connectors)`
`void` | `setRequestLog(java.lang.Object requestLog)`
`void` | `setUserRealms(java.lang.Object[] realms)`
`void` | `start()`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Field Detail

### DEFAULT_MAX_IDLE_TIME

    static int DEFAULT_MAX_IDLE_TIME

### handlers

    HandlerCollection handlers

Constructor Detail

### JettyPluginServer

    public JettyPluginServer()

Method Detail

### addWebApplication

    public void addWebApplication(WebAppContext webapp)

  see:
    JettyPluginServer#addWebApplication

### configureHandlers

    public void configureHandlers()

  Set up the handler structure to receive a webapp. Also put in a DefaultHandler so we get a nice page than a 404 if we hit the root and the webapp's context isn't at root.
  throws:
    Exception

### createDefaultConnector

    public java.lang.Object createDefaultConnector(int port)

### getConnectors

    public java.lang.Object[] getConnectors()

  see:
    org.gradle.api.plugins.jetty.util.JettyPluginServer#getConnectors()

### getProxiedObject

    public java.lang.Object getProxiedObject()

  see:
    org.gradle.api.plugins.jetty.util.Proxy#getProxiedObject()

### getRequestLog

    public java.lang.Object getRequestLog()

### getUserRealms

    public java.lang.Object[] getUserRealms()

  see:
    org.gradle.api.plugins.jetty.util.JettyPluginServer#getUserRealms()

### join

    public void join()

### setConnectors

    public void setConnectors(java.lang.Object[] connectors)

  see:
    JettyPluginServer#setConnectors(Object[])

### setRequestLog

    public void setRequestLog(java.lang.Object requestLog)

### setUserRealms

    public void setUserRealms(java.lang.Object[] realms)

  see:
    JettyPluginServer#setUserRealms(Object[])

### start

    public void start()

  see:
    org.gradle.api.plugins.jetty.util.JettyPluginServer#start()

Groovy Documentation